## mosquitto 0.9.2.752

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,10 @@
 	@for d in ${DIRS}; do $(MAKE) -C $${d} install; done
 	$(INSTALL) -d ${DESTDIR}/etc/mosquitto
 	$(INSTALL) -m 644 mosquitto.conf ${DESTDIR}/etc/mosquitto/mosquitto.conf
-#	$(INSTALL) shlibs.maemo ${DESTDIR}/../shlibs
+	$(INSTALL) -d ${DESTDIR}/usr/bin/
+	ln -sf ${prefix}/bin/mosquitto ${DESTDIR}/usr/bin/mosquitto
+	ln -sf ${prefix}/bin/mosquitto_pub ${DESTDIR}/usr/bin/mosquitto_pub
+	ln -sf ${prefix}/bin/mosquitto_sub ${DESTDIR}/usr/bin/mosquitto_sub
 
 uninstall :
 	@for d in ${DIRS}; do $(MAKE) -C $${d} uninstall; done
