## mosquitto 0.9.3.755

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION 0.9)
+set (VERSION 0.9.3)
 
 if (WIN32)
 	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
@@ -21,11 +21,15 @@
 
 if (WIN32)
     set (BINDEST .)
+	set (CONFDEST .)
     set (LIBDEST .)
+	set (MANDEST man)
     set (SHAREDEST .)
 else (WIN32)
     set (BINDEST bin)
+	set (CONFDEST etc)
     set (LIBDEST lib${LIB_SUFFIX})
+	set (MANDEST share/man)
     set (SHAREDEST share/mosquitto)
 endif (WIN32)
 
@@ -51,3 +55,10 @@
 add_subdirectory(lib)
 add_subdirectory(client)
 add_subdirectory(src)
+add_subdirectory(man)
+
+# ========================================
+# Install config file
+# ========================================
+
+install(FILES mosquitto.conf DESTINATION ${CONFDEST})
