=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 include ../config.mk
 
-CFLAGS_FINAL=${CFLAGS} -DVERSION="\"${VERSION}\"" -DTIMESTAMP="\"${TIMESTAMP}\"" -DWITH_BROKER -DWITH_BRIDGE
+CFLAGS_FINAL=${CFLAGS} -DVERSION="\"${VERSION}\"" -DTIMESTAMP="\"${TIMESTAMP}\"" -DWITH_BROKER
 
 .PHONY: all install uninstall clean reallyclean
 
 all : mosquitto
 
-mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o subs.o util.o util_mosq.o sqlite3.o
+mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o security.o subs.o util.o util_mosq.o
 	${CC} $^ -o $@ ${LDFLAGS}
 
 mosquitto.o : mosquitto.c mqtt3.h
@@ -36,7 +36,7 @@
 net_mosq.o : ../lib/net_mosq.c ../lib/net_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 	
-persist.o : persist.c mqtt3.h sqlite3.h
+persist.o : persist.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 	
 raw_send.o : raw_send.c mqtt3.h
@@ -57,6 +57,9 @@
 read_handle_server.o : read_handle_server.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
+security.o : security.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
 subs.o : subs.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
@@ -66,15 +69,12 @@
 util_mosq.o : ../lib/util_mosq.c ../lib/util_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
-sqlite3.o : sqlite3.c sqlite3.h
-	${CC} $(CFLAGS_FINAL) -c $< -o $@
-
 install :
-	$(INSTALL) -d ${DESTDIR}$(prefix)/bin
-	$(INSTALL) -m 755 -s mosquitto ${DESTDIR}${prefix}/bin/mosquitto
+	$(INSTALL) -d ${DESTDIR}$(prefix)/sbin
+	$(INSTALL) -s mosquitto ${DESTDIR}${prefix}/sbin/mosquitto
 
 uninstall :
-	-rm -f ${DESTDIR}${prefix}/bin/mosquitto
+	-rm -f ${DESTDIR}${prefix}/sbin/mosquitto
 
 clean : 
 	-rm -f *.o mosquitto
