## mosquitto 0.11.2.795

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION 0.10)
+set (VERSION 0.11.2)
 
 if (WIN32)
 	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
@@ -27,6 +27,7 @@
 	set (DATAROOTDIR share)
 	set (MANDIR man)
     set (SHAREDEST .)
+    add_definitions("-D_CRT_SECURE_NO_WARNINGS")
 else (WIN32)
 	set (BINDIR bin)
 	set (SBINDIR sbin)
