## mosquitto 0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION 0.11.2)
+set (VERSION 0.12)
 
 if (WIN32)
 	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
