=== src/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 all : mosquitto
 
-mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o security.o subs.o util.o util_mosq.o
-	${CC} $^ -o $@ ${LDFLAGS}
+mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o loop.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o security.o security_external.o send_base_mosq.o send_client_mosq.o subs.o util.o util_mosq.o
+	${CC} $^ -o $@ ${LDFLAGS} ${LIBS}
 
 mosquitto.o : mosquitto.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
@@ -27,6 +27,9 @@
 logging.o : logging.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
+loop.o : loop.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
 memory_mosq.o : ../lib/memory_mosq.c ../lib/memory_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
@@ -42,9 +45,6 @@
 raw_send.o : raw_send.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
-raw_send_client.o : raw_send_client.c mqtt3.h
-	${CC} $(CFLAGS_FINAL) -c $< -o $@
-
 raw_send_server.o : raw_send_server.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
@@ -58,6 +58,15 @@
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
 security.o : security.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
+security_external.o : security_external.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
+send_base_mosq.o : ../lib/send_base_mosq.c ../lib/send_mosq.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
+send_client_mosq.o : ../lib/send_client_mosq.c ../lib/send_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
 subs.o : subs.c mqtt3.h
