=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Roger A. Light <roger@atchoo.org>
-Build-Depends: debhelper (>= 7), libwrap0-dev, python-setuptools, python-support, python (>= 2.5)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), libwrap0-dev, python-setuptools, python-support, python (>= 2.5)
+Standards-Version: 3.9.2
 Homepage: http://mosquitto.org/
 Vcs-Hg: http://bitbucket.org/oojah/mosquitto-packaging
 Vcs-Browser: http://bitbucket.org/oojah/mosquitto-packaging/src
@@ -22,6 +22,7 @@
  example.
 
 Package: libmosquitto0
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: MQTT version 3.1 client library
@@ -43,6 +44,7 @@
  development with libmosquitto0.
 
 Package: libmosquittopp0
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmosquitto0 (= ${binary:Version})
 Description: MQTT version 3.1 client C++ library
